import uviewPlus from '@/uni_modules/uview-plus'
import "@/static/styles/index.scss"
// #ifndef VUE3
import Vue from 'vue'
import App from './App'

Vue.config.productionTip = false

App.mpType = 'app'

const app = new Vue({
    ...App
})
app.use(uviewPlus)
app.$mount()
// #endif

// #ifdef VUE3
import {createSSRApp} from 'vue'
import App from './App.vue'

export function createApp() {
    const app = createSSRApp(App)
    app.use(uviewPlus)
    return {
        app
    }
}

// #endif